<?php

use Kirby\Toolkit\Date;
use LavenderBits\Squaby\Queue\Scheduler;

return [
    "description" => "Delivers newsletter issues according to schedule",
    "args" => [],
    "command" => static function ($cli): void {
        $queueingResult = Scheduler::queueAll();
        if ($queueingResult) {
            $cli->success("Queueing complete");
        }
        Scheduler::deliverAll();
        $cli->success("Deliveries complete");
    },
];
