<?php

namespace LavenderBits\Squaby\Queue;

enum ScheduleStatus
{
    case Scheduled;
    case Delivering;
    case Delivered;
    case Failed;
    case Queued;

    public function int(): int
    {
        return match ($this) {
            self::Scheduled => 0,
            self::Delivering => 1,
            self::Delivered => 2,
            self::Failed => 3,
            self::Queued => 4,
        };
    }
}
